[3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Fragen rund um die Installation, Administration und Benutzung von phpBB 3.1.x und höher und die Konvertierung zu phpBB 3.2.x.
Forumsregeln
Bitte im Thementitel den Präfix deiner phpBB-Version [3.1.x] oder [3.2.x] angeben.
Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1343
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Tastenplayer » 17.06.2018 18:26

Hi Melmac - den Link aller installierten Ext. hatte ich eingefügt https://www.forum.my-tastenworld.ch/activeextlist

https://www.phpbb.com/community/download/file.php?id=178886 rmcgirr83.zip - Hide Usernames

Ausserdem: die Collapsible ext. habe ich jetzt mal deaktiviert im Liveboard. Jetzt gibt es keine Probleme mit der Sprachanzeige/Sprachauswahl im ucp.
Mein Portal: https://www.portal.my-tastenworld.ch/ Mein Forum: https://www.forum.my-tastenworld.ch/
The best online translator comes from Köln DE
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3392
Registriert: 15.10.2012 03:27

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Melmac » 18.06.2018 11:55

Da sind so ein paar Extensions dabei, die ich nicht finden kann, weder in der CDB noch hier auf phpbb.de:
- Better Prompt BBCodes => 0.0.2,
- Board online time => 0.2.0,
- Browser & OS in Viewtopic => 1.0.1

Diese drei würde ich jetzt als allererstes einmal deinstallieren.
Danach, falls das nichts bringt, sämtliche Extensions deaktivieren, Caches leeren und erneut testen.

Im letzten Schritt dann: diese beiden Extensions, von denen Du annimmst, dass sie sich beißen, deinstallieren (= Arbeitsdaten löschen) und anschließend mit den aktuellen Paketen neu installieren => testen.

Ergebnis bitte hier einstellen.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1343
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Tastenplayer » 18.06.2018 12:02

dmzx Browser & OS in Viewtopic https://www.dmzx-web.net/viewtopic.php?f=49&t=851&sid=6b00ef1fa69f896bd55d664d8ec0fdb3 Wobei man diese Ext wegen der DSGVO wohl besser elimninieren würde. Allerdings wenn ich die komplett deinstalliere beginnt nachher alles wieder bei 0 und das sieht saudoof aus, denn bei den alten Beiträgen sind dann nur noch zwei weisse Icon mit ? zu sehen! Muss gut überlegt sein :wink:

Kirk better prompt bbcode http://reyno41.bplaced.net/phpbb/viewtopic.php?style=4&t=141
Also auf die better prompt bbcode ext verzichten? Dann doch lieber ohne collapsible :D Ich glaub eh nicht, dass diese Ext. schuld sein soll.

Kirk board online time http://reyno41.bplaced.net/phpbb/viewtopic.php?f=8&t=101

Im letzten Schritt dann: diese beiden Extensions, von denen Du annimmst, dass sie sich beißen, deinstallieren (= Arbeitsdaten löschen) und anschließend mit den aktuellen Paketen neu installieren => testen.

Die 2 beissenden Ext scheint collapsible und Flag zu sein. Deinstallier ich jetzt die Flagge komplett haben alle User keine Flagge mehr :o . Muss definitiv auch gut überlegt sein, ob man das machen soll. Wenn es denn nicht anders geht :(

Danach, falls das nichts bringt, sämtliche Extensions deaktivieren, Caches leeren und erneut testen.
Das hatte ich schon - hat nichts gebracht.

Vor dem Wochenende mach ich das vermutlich nicht. Denn wie erwähnt verursacht die komplett Deinstallation zweier Ext. unschöne/unerfreuliche Ergebnisse.

Ausserdem verursacht die collapsible auch mit Ext. Probleme, die ich nicht installiert habe. Weshalb doch da der Hase im Pfeffer ist.
vfrblue hat geschrieben:Ich kann das in unserem Forum auch nachvollziehen: Es besteht bei uns ein Konflikt zwischen den Erweiterungen "Image Upload" von "dmzx" und "Collapse Forum Categories" von "phpBB". Wenn beide Erweiterungen aktiviert sind, wird die vom User eingestellte Sprache im Board nicht sauber umgesetzt: "Englisch" und "Deutsch" gemischt. Deaktiviere ich eine der beiden Erweiterungen, wird alles sauber umgestellt.
Vielleicht ist es ja bei mir auch die Browser & OS ext von dmzx, mal sehen wenn ich den Mut zur Krassmassnahme aufgebracht habe.
Zuletzt geändert von Tastenplayer am 18.06.2018 13:00, insgesamt 1-mal geändert.
Mein Portal: https://www.portal.my-tastenworld.ch/ Mein Forum: https://www.forum.my-tastenworld.ch/
The best online translator comes from Köln DE
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3392
Registriert: 15.10.2012 03:27

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Melmac » 18.06.2018 12:59

Glauben und spekulieren statt prüfen und danach wissen?
Im Ernst? :o

Mache ein komplettes Backup Deines Boards (DB plus Files), setze es in den Wartungsmodus und probiere es dann in Ruhe aus. Was sollte so dann an Daten verloren gehen können?

Tastenplayer hat geschrieben:dmzx Browser & OS[...]
Wobei man diese Ext wegen der DSGVO wohl besser elimninieren würde. Allerdings wenn ich die komplett deinstalliere beginnt nachher alles wieder bei 0 und das sieht saudoof aus, denn bei den alten Beiträgen ist dann nur ein blaues Icon! Muss gut überlegt sein :wink:

Wenn die Extension sauber programmiert ist, bleiben bei einer Deinstallation auch keine Reste zurück ...
(Ein Grund mehr, auf seine Extensions nicht nur wegen der DSGVO zu verzichten, sobald sie mehr als ein paar Zeilen CSS oder HTML enthalten - meine ganz persönliche Meinug halt ...)
Dass etwas zurückbleibt war ja aber bereits vor der Installation bekannt (und lässt sich auch wieder korrigieren: manuell halt nur ...)

Tastenplayer hat geschrieben:Also auf die better prompt bbcode ext verzichten?

Es ist Deine Entscheidung, was Dir lieber ist, u.a. auch diese hier: klären, woran in Deinem Board die Probleme liegen oder den Problemen aus dem Weg gehen.
Außerdem: Du verlierst doch keine Arbeitsdaten, die bei einer späteren Neuinstallation benötigt werden würden - was gibt es da also bei den Tests zu verlieren??
Das gleiche gilt auch für Kirks board online time ...

Tastenplayer hat geschrieben:Die 2 beissenden Ext scheint collapsible und Flag zu sein

Eben: sie scheinen es zu sein, in Deinen Augen - bei mir beißen sie sich jedenfalls nicht ...

Tastenplayer hat geschrieben:Ausserdem verursacht die collapsible auch mit Ext. Probleme, die ich nicht installiert habe.

Was aber erst einmal nichts Definitives über die Probleme in Deinem Board aussagt ...

Es könnte ja noch eine ganz andere Übereinstimmung in den fraglichen Installationen geben (mal ganz davon abgesehen, dass alle weiteren Extensions in den fraglichen Boards, die ebenfalls Quelle des Ärgers sein könnten, gar nicht bekannt sind ...) - ich fette es mal:
"Es besteht bei uns ein Konflikt zwischen den Erweiterungen "Image Upload" von "dmzx" und "Collapse Forum Categories"" ...

Du gibst ja immerhin selbst zu
Tastenplayer hat geschrieben:Vielleicht ist es ja bei mir auch die Browser & OS ext von dmzx

Warum also nicht die Konsequenz aus dem "vielleicht" ziehen und das ganze mal systematisch durchtesten statt als allererstes alles abzulehnen, was man Dir vorschlägt???
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1343
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Tastenplayer » 18.06.2018 13:01

Dass etwas zurückbleibt war ja aber bereits vor der Installation bekannt (und lässt sich auch wieder korrigieren: manuell halt nur ...)
Ich habe nicht gemeint, dass in der DB was zurückbleibt bei der Ext. von dmzx. Wenn man die danach wieder installiert sieht es in den alten Beiträgen doof aus :lol:
Kann es nicht auch an der php Version liegen? Jedoch riskant mit dem Server, jetzt die wieder runterzuschrauben. Mal sehen.
Mein Portal: https://www.portal.my-tastenworld.ch/ Mein Forum: https://www.forum.my-tastenworld.ch/
The best online translator comes from Köln DE
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3392
Registriert: 15.10.2012 03:27

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Melmac » 18.06.2018 13:19

Ob das "doof" aussieht oder nicht, liegt im Auge des Betrachters. Welchen Browser ein User mal vorJahren bei der Erstellung eines Beitrags eingesetzt hat, interessiert mich persönlich eigentlich wenig: das kann sich in der Zwischenzeit ja auch geändert haben, hat für mich also in diesem Fall keinen sonderlichen Nährwert.

Wenn Du diese Ext (oder alle anderen möglichen Kanditaten) nicht anrühren willst, dann ist das okay.
Dann lebe bitte aber auch mit der Konsequenz, dass Du so womöglich nie herausfinden wirst, woran dieses Problem jetzt gelegen hat ... und vielleicht auch noch weiterhin potenziell vorhanden sein wird ...

Tastenplayer hat geschrieben:Kann es nicht auch an der php Version liegen?

Möglich. Unterscheidet die sich denn von derjenigen in Deiner Testumgebung?
Falls ja: worin unterscheiden sich Test- und Liveinstallation denn sonst noch?

Tastenplayer hat geschrieben:Jedoch riskant mit dem Server, jetzt die wieder runterzuschrauben.

Wer sagt denn, dass Du dies jetzt gleich machen musst?? Zum Testen ist das doch gar nicht erforderlich! :roll:
Gehe doch den ersten Schritt zuende und kläre es, bevor Du schon über den nächsten zu spekulieren beginnst.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1343
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Tastenplayer » 18.06.2018 13:42

Ich habe mal im lokalen TB alle Ext. deaktiviert - cache geleert - collapsible ext aktiviert - neue Version der Flagge installiert.
Resultat= alles wird auf EN angezeigt. Obwohl Boardsprache de_du sowie im ucp Sprache bei mir de_du ist. Das ist definitiv bei mir die collapsible mit der Flagge - auf die Flagge kann ich leider nicht verzichten. Php Version ist also auch nicht schuld.
Ich versuch jetzt mal die beiden ext. komplett zu deinstallieren, dann neu installieren, schauen was passiert. Im TB macht das entschwinden der Flaggen ja nichts :D (komisch mit der alten Flaggenversion hatte ich im TB keine Probleme).

statt als allererstes alles abzulehnen, was man Dir vorschlägt???
Hast Du was falsch verstanden oder ich wieder doof geschrieben. Bin froh, dass Du mir hilfst. Habe keine Vorschläge von Dir abgelehnt . Einiges hat halt unerfreuliche Auswirkungen bei einer Komplettdeinstallation und da wird man halt etwas zögerlich bei der Ausführung. :lol:

Im lokalen TB
Collapsible deinstalliert - cache geleert
Flagge deinstalliert - cache geleert
Collapsible installiert - cache geleert
Flagge installiert - cache geleert
Resultat= Forum ist wieder alles auf british englisch statt de_du. Einzig der Hinweis, dass ich Flagge wählen muss ist auf DE sowie die Aktivitäten der letzten 24 Stunden in der Statistik

Es ist nur noch der Stylechanger, Nationalflagg ext sowie collapsible aktiv [ externes Bild ]
Neue Nationalflag ext deinstalliert - alte Nationalflag ext 2.1.3 installiert, nichts wird aussen auf En angezeigt, trotz Umstellung im ucp. Innnen ist der ganze acp in Englisch. Hinweis zum wählen der Flagge ist auch auf Englisch
In meinem Forum kann ich die Collapsible und die Nationalflagge ext nicht mehr zusammen aktivieren!
Mein Portal: https://www.portal.my-tastenworld.ch/ Mein Forum: https://www.forum.my-tastenworld.ch/
The best online translator comes from Köln DE
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3392
Registriert: 15.10.2012 03:27

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Melmac » 18.06.2018 14:33

Deswegen legt man sich ein Testsystem an, das so weit als irgend möglich indentisch mit dem Live Board ist, PHP-Version inklusive.
Darauf dann eine 1:1-Kopie des Live Boards installieren: nur dann kannst Du auch wirklich vergleichen oder etwas reproduzieren und, vor allem, vor der Installation im Live Board gründlich testen.

Dieses permanente Installieren und Deinstallieren, kurz: das ständige Rumschrauben am Live Board, ist mir persönlich ohnehin immer sehr suspekt.

Du könntest immerhin noch eines machen: ein neues, sauberes Testboard anlegen und dort Schritt für Schritt und mit den beiden Verdächtigen angefangen alle Extensions, die Du im Live Board hast, installieren. Nach jeder Ext-installation neu testen, bevor die nächste drankommt.
Viel mehr könnte ich auch nicht machen, um den Fehler bei mir reproduzieren zu können.

Vorschlag: packe mal den Inhalt des /ext-Verzeichnisses Deines Boards in ein Archiv und lasse mir einen Downloadlink zukommen.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)

Benutzeravatar
Tastenplayer
Mitglied
Beiträge: 1343
Registriert: 02.07.2010 19:35
Wohnort: Zuchwil/SO - Schweiz
Kontaktdaten:

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Tastenplayer » 18.06.2018 14:37

Du könntest immerhin noch eines machen: ein neues, sauberes Testboard anlegen und dort Schritt für Schritt und mit den beiden Verdächtigen angefangen alle Extensions, die Du im Live Board hast, installieren. Nach jeder Ext-installation neu testen, bevor die nächste drankommt.
Habe ich schon gemacht in der Zwischenzeit. Ich hab folgendes versucht:

Im Quickinstall Style TB 3.2.2 die collapsible ext installiert - die Nationalflagg ext installiert - im ucp steht deutlich de_du. Jedoch das ganze Board wird jetzt in british englisch angezeigt. Keine Ahnung warum das bei Dir funktioniert. Das kann ich wirklich kaum glauben! Bei mir geht es definitiv in keinem Board die Flagge zusammen mit der collapsible zu installieren :o [ externes Bild ] der ganze acp ist im Style TB allerdings auf DE.

Vorschlag: packe mal den Inhalt des /ext-Verzeichnisses Deines Boards in ein Archiv und lasse mir einen Downloadlink zukommen.
Keine Ahnung wie ich das machen kann - nur die Extension verpacken. Allerdings wie oben erwähnt besteht das Problem sogar im Blitzblanken Styleforum 3.2.2.

Ich versuch das jetzt definitv mal in einem Board mit nur Prosilverstyle. Ob das ein Styleproblem sein kann? Erscheint mir zwar eher unwahrscheinlich, jedoch man kann nie wissen :)

Gut:
Neues Quickinstall 3.2.2 Board installiert - logisch nur Prosilverstyle
De Sprachdateien installiert (neue Dateien)
Boardsprache auf de_du eingestellt
im ucp Sprache nach de_du geändert
collapsible ext installiert 1.0.2 (neu runtergeladen)
Nationalflaggen neuste Version 2.1.6 installiert(neu heruntergeladen)
Resultat= Das ganze Board wird aussen in EN angezeigt! [ externes Bild ] der ganze acp ist auf DE.
Einstellung für die Flagg ext [ externes Bild ]
Allerdings hab ich lokal noch PHP Version 5.6.28. Leider bekomme ich in Xampp php 7.x nie Rechte Dateien in die Datenbank einzuladen.

Andere Bordsprache gewählt Melmac :lol: Oder weshalb geht das bei mir nicht mal in einem Vanilla Quickinstall TB??? Oder liegt das doch an der php Version? Im Liveboard ist jedoch PHP Version 7.0.29 on.
Im acp also mal british english eingestellt - im ucp de_du - ganzer acp ist auf deutsch, ganzes Forum aussen bleibt en.
Mein Portal: https://www.portal.my-tastenworld.ch/ Mein Forum: https://www.forum.my-tastenworld.ch/
The best online translator comes from Köln DE
Be the best version of yourself rather than a bad copy of someone else!

Benutzeravatar
Melmac
Supporter
Supporter
Beiträge: 3392
Registriert: 15.10.2012 03:27

Re: [3.2] [3.2.1] Sprache umstellen im UCP geht nicht

Beitragvon Melmac » 18.06.2018 16:26

Damit es jetzt endgültig mysteriös wird: nun funktioniert es auch bei mir nicht mehr ... :o
Weder unter PHP 5.6.x noch unter 7.1.x ...

Ich muss noch ein paar Sachen testen, vielleicht komme ich dann doch noch auf den Trichter, was hier gerade schiefläuft.
Handle nur nach derjenigen Maxime, durch die du zugleich wollen kannst, dass sie ein allgemeines Gesetz werde.
(Immanuel Kant)


Zurück zu „Support-Forum“